Package org.jboss.logmanager.handlers

# Class UdpOutputStream

java.lang.Object
java.io.OutputStream
org.jboss.logmanager.handlers.UdpOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`, `FlushableCloseable`

public class UdpOutputStream extends OutputStream implements FlushableCloseable
An output stream that writes data to a `DatagramSocket`.

Author:
  James R. Perkins

## Constructor Summary

Constructors
Constructor
Description
`UdpOutputStream(InetAddress address, int port)`
`UdpOutputStream(ClientSocketFactory socketManager)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`write(byte[] b)`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`flush, nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.Flushable

`flush`

## Constructor Details

### UdpOutputStream

public UdpOutputStream(InetAddress address, int port) throws IOException

Throws:
  `IOException`

### UdpOutputStream

public UdpOutputStream(ClientSocketFactory socketManager) throws SocketException

Throws:
  `SocketException`

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`